INTEL_MARK_FB_BUSY(9)

NAME
intel_mark_fb_busy - mark given planes as busy

SYNOPSIS

void intel_mark_fb_busy(struct drm_device * dev, unsigned frontbuffer_bits, struct intel_engine_cs * ring);

ARGUMENTS

dev
    DRM device

frontbuffer_bits
    bits for the affected planes

ring
    optional ring for asynchronous commands

DESCRIPTION

This function gets called every time the screen contents change. It can be used to keep e.g. the update rate at the nominal refresh rate with DRRS.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT